# shared part of diana setup
# should ideally be included in upstream diana package

prefix          = ${DIANADIR} || /usr
etc_dir         = /etc
etc_diana       = ${METWS_DIANA} || $(etc_dir)/diana/{{ diana_version }}

########################################################################

<VERTICAL_CROSSECTION_COMPUTATIONS>
# for wrf
w = multiply(upward_air_velocity_pl,const:10)
</VERTICAL_CROSSECTION_COMPUTATIONS>

########################################################################

# include setup from upstream diana package
%include $(etc_diana)/diana.setup

<QUICKMENUS>
file= $(etc_diana)/quickmenus/*.quick
</QUICKMENUS>

########################################################################

<COLOURS>
grayBlack=    53,53,53
yellow2=      245,245,100
green1=       230,255,230
green6=     171,191,8
palegreen = 178,235,154
seablue2=     245,255,255
seablue3=     245,245,255
lightGray2=   199,199,184
aBlack=       0,0,1
# used in sigkart.txt
landgul=    255,240,196
</COLOURS>

########################################################################

<PALETTES>
no_green=32:96:255,32:159:255,32:191:255,0:207:255,42:255:255,85:255:255,\
  127:255:255,170:255:255,255:255:84,255:240:0,255:191:0,255:168:0,255:138:0,\
  255:112:0,255:77:0,255:0:0

no_green_rec=255:0:0,255:77:0,255:112:0,255:138:0,255:168:0,255:191:0,\
  255:240:0,255:255:84,170:255:255,127:255:255,85:255:255,42:255:255,\
  0:207:255,32:191:255,32:159:255,32:96:255

safsst=151:151:255,100:100:255,0:0:255,0:28:192,0:55:128,0:83:64,\
  0:110:0,0:159:0,0:207:0,0:255:0,137:255:27,203:255:53,255:255:63,\
  245:230:50,233:205:38,222:179:25,211:154:13,200:128:0,218:85:0,\
  237:43:0,255:0:0,195:0:0,129:0:47,195:0:129,255:0:255

ss_eps_pal=255:255:255,255:255:150,255:255:84,255:240:0,255:191:0,\

255:168:0,255:138:0,255:112:0,255:77:0,255:0:0
  prob=240:240:240,6:205:128,46:139:87,85:107:47,30:0:139

ice=150:200:255,140:255:160,140:255:160,140:255:160,255:255:0,\
  255:255:0,255:255:0,255:125:7,255:125:7,255:0:0,150:150:150

ice2=140:255:160,255:255:0,255:125:7,255:0:0,150:150:150

who_uvi=78:180:0,160:206:0,247:228:0,248:182:0,248:135:0,\
  248:89:0,232:44:14,216:0:29,255:0:153,181:76:255

topocolour = 178:235:154,200:255:178,255:255:230,255:235:200,\
  255:215:170,255:195:140,255:175:110,255:155:70,255:135:40

standard_sat10=230:250:255,230:255:255,230:255:250,230:255:242,\
  230:255:230,242:255:230,250:255:230,\
  255:255:230,255:246:230,255:238:230,255:230:230

standard_sat20=204:245:255,204:255:255,204:255:245,204:255:230,\
  204:255:204,230:255:204,245:255:204,\
  255:255:204,255:238:204,255:221:204,255:204:204

standard_sat30=178:240:255,178:255:255,178:255:240,178:255:218,\
  178:255:178,218:255:178,240:255:178,\
  255:255:178,255:230:178,255:205:178,255:178:178

standard_sat40=153:235:255,153:255:255,153:255:235,\
  153:255:206,153:255:153,206:255:153,235:255:153,\
  255:255:153,255:222:153,255:188:153,255:153:153

standard_sat50=128:230:255,128:255:255,128:255:230,\
  128:255:194,128:255:128,194:255:128,230:255:128,\
  255:255:128,255:214:128,255:171:128,255:128:128

temperature_cold=217:255:255,179:255:255,128:235:255,64:204:255,\
  67:178:252,0 :153:255,0 :100:255,0 :25:255,0:25:200,102:25:102,174:0:95,\
  214:0:119,228:35:157

temperature_warm=250:255:195,253:253:161,255:255:112,255:230:77,\
  255:215:0,255:179:0,255:140:0,255:102:0,255:63:0,255:25:0,204:0:0,170:0:0

precipitation=229:229:229,217:255:255,179:255:255,128:235:255,\
  64:204:255,0:153:255,0:25:255,0:0:153

colorful=78:180:0,0:255:255,178:51:0,255:0:0,247:228:0,160:32:240,160:206:0,0:0:255

gray=245:245:245,235:235:235,225:225:225,215:215:215,200:200:200,\
  175:175:175,150:150:150,125:125:125,100:100:100,75:75:75,50:50:50,\
  25:25:25,0:0:0

gray_rev= 0:0:0,25:25:25,50:50:50,75:75:75,100:100:100,\
  125:125:125,150:150:150,175:175:175,200:200:200,215:215:215,\
  225:225:225,235:235:235,245:245:245

# old palette used for ICING-SUM-COLOR field
gyyorr=green,yellow,yellow,orange,red,red

ggyoorrp=green,green,yellow,orange,orange,red,red,purple

volcano=192:192:192,255:0:0,0:0:0,

nuclear=darkBlue,lightBlue,cyan,green2,yellow,orange,red,magenta

trafficlight= 215::222:255,191:228:255,167:255:255,119:255:137,\
  69:225:82,0:200:0,225:225:0,255:124:23,255:0:0,180:0:0

prob.wind= 255:255:0,255:192:0,255:122:0,255:70:0,255:0:0

wms.t2m.palett=0:0:112,0:0:136,0:0:160,0:0:184,0:0:207,0:0:231,0:0:255,\
  49:49:255,98:98:255,147:147:255,196:196:255,245:245:255,255:255:210,\
  255:255:126,255:255:42,255:223:0,255:159:0,255:96:0,255:32:0,238:0:0,\
  204:0:0,170:0:0,136:0:0

wms.precip1h.palett=128:235:255,89:204:255,50:162:255,12:107:255,\
  1:64:229,1:34:193,2:12:156,17:2:134,54:1:135,92:1:135,131:0:136,136:0:102

wms.cloudcover.palett=229:229:229,205:205:205,180:180:180,156:156:156,\
  132:132:132,107:107:107,83:83:83,58:58:58,34:34:34

wms.ff10m.palett=252:255:242,239:249:202,196:232:152,136:208:121,77:184:90,\
  17:160:60,255:182:0,255:126:0,244:0:9,208:0:40,172:0:71,0:0:255

wms.sig.wave.h.palett=252:251:253,228:215:240,204:182:227,182:152:213,\
  161:124:200,141:98:187,122:75:174,105:54:160,89:36:147,74:20:134,51:0:152,\
  255:102:255,255:51:255,204:51:204,204:0:204,153:0:153,102:0:102,51:0:51

wms.sea.temp.palett=0:4:42,0:4:43,0:4:44,0:29:64,0:53:85,0:78:105,\
  0:102:126,0:127:146,0:152:167,0:176:187,0:201:207,0:225:228,43:243:235,\
  149:249:223,255:255:210,255:255:166,255:255:122,255:255:79,255:255:35,\
  253:249:0,241:216:0,229:184:0,218:152:0,206:120:0,194:88:0,183:56:0,171:24:0

vp_temp=0:0:255,25:25:255,50:50:255,75:75:255,100:100:255,125:125:255,\
  150:150:255,190:190:255,225:225:255,245:245:255,255:255:210,255:255:150,\
  255:255:84,255:240:0,255:191:0,255:168:0,255:138:0,255:112:0,255:77:0,255:0:0

vp_nedbor=128:235:255,96:219:255,64:204:255,32:178:255,0:153:255,\
  0:89:255,0:25:255,0:0:204,0:0:153,64:0:153,128:0:153,192:0:153

beaufort=204:255:255,153:255:204,153:255:153,153:255:102,153:255:0,\
  204:255:0,255:255:0,255:204:0,255:153:0,255:102:0,255:0:0,255:0:204

bryg=blue,red,yellow,green

wind=100:190:80,225:225:30,255:180:0,255:120:0,240:20:0,\
  140:0:30,255:20:255,0:0:255,255:255:255

orangealpha=255:135:40:21,255:135:44:42,255:135:40:63,255:135:40:85,\
  255:135:40:106,255:135:40:127,255:135:40:149,255:135:40:170,255:135:40:191,\
  255:135:40:213,255:135:40:234,255:135:40:255

yellowalpha=255:255:0:21,255:255:0:42,255:255:0:63,255:255:0:85,255:255:0:106,255:255:0:127,\
  255:255:0:149,255:255:0:170,255:255:0:191,255:255:0:213,255:255:0:234,255:255:0:255

bluealpha=0:0:255:21,0:0:255:42,0:0:255:63,0:0:255:85,0:0:255:106,0:0:255:127,\
  0:0:255:149,0:0:255:170,0:0:255:191,0:0:255:213,0:0:255:234,0:0:255:255

turbulence=255:215:170,255:175:110,255:20:20

radar_mitiff=210:140:240,215:200:245,190:230:250,165:255:255,120:255:135,\
  70:225:80,0:200:0,225:225:0,255:125:0,255:20:20,160:0:0

meteoalarm=green,yellow,orange,red

bluegreenred=255:25:25,255:50:50,255:75:75,255:100:100,255:125:125,255:125:125,\
  255:150:150,255:175:175,255:200:200,255:215:215,\
  40:115:20,54:120:25,64:135:35,80:155:50,109:175:83,120:180:90,130:200:109,154:215:130,\
  178:235:154,200:255:178, \
  0:0:255,25:25:255,50:50:255,75:75:255,100:100:255,\
  125:125:255,150:150:255,175:175:255,200:200:255,215:215:255

yellowred=yellow,gulbrun,red
</PALETTES>

########################################################################

<FIELD_COMPUTE>
lwe_precipitation_rate=equivalent_to(rain)

x_wind_10m=equivalent_to(u10m)
y_wind_10m=equivalent_to(v10m)
x_wind_pl=equivalent_to(u)
y_wind_pl=equivalent_to(v)
air_pressure_at_sea_level=equivalent_to(pmsl:unit=hectopascal)
air_temperature_2m=equivalent_to(t2m:unit=celsius)
air_temperature_pl_celsius=equivalent_to(t:unit=celsius)

max_air_temperature_2m=temp_k2c(mx2tk6)
min_air_temperature_2m=temp_k2c(mn2tk6)

ff.inflight=vector.abs(u.inflight,v.inflight)
ff10mmph=multiply(ff10m,2.2369)

#skalerer opp vindskjaeret til pr.100km
vindsh100=multiply(vindsh,100000)
absvindsh=abs(vindsh100)

ff10m_mean=mean_value(ff10m:ecoord=ensemble_member)

# same formula from 6h accumulated
precipitation_amount_acc_mean=mean_value(precipitation_amount_acc_6h:unit=kg/m2:ecoord=ensemble_member)
precipitation_amount_acc_stddev=stddev(precipitation_amount_acc_6h:unit=kg/m2:ecoord=ensemble_member)
precipitation_amount_acc_variance=multiply(precipitation_amount_acc_stddev,precipitation_amount_acc_stddev)

# wind_probabilities in knots
prob_wind>25kt=probability_above(ff10m:ecoord=ensemble_member,12.8)
prob_wind>30kt=probability_above(ff10m:ecoord=ensemble_member,15.4)
prob_wind>35kt=probability_above(ff10m:ecoord=ensemble_member,18.0)
prob_wind>40kt=probability_above(ff10m:ecoord=ensemble_member,20.5)
prob_wind>45kt=probability_above(ff10m:ecoord=ensemble_member,23.1)
prob_wind>50kt=probability_above(ff10m:ecoord=ensemble_member,25.7)
prob_wind>55kt=probability_above(ff10m:ecoord=ensemble_member,28.3)
prob_wind>60kt=probability_above(ff10m:ecoord=ensemble_member,30.8)

prob_accumprecip.24h>38mm=probability_above(accumprecip.24h:ecoord=ensemble_member,38)
prob_accumprecip.24h>77mm=probability_above(accumprecip.24h:ecoord=ensemble_member,77)

snow.1h.max65=max_of_fields(accumsnow_total_water.1h:fchour=-65)
snow.1h.max65index=index_of_fields_max(accumsnow_total_water.1h:fchour=-65)
snow.1h.max24=max_of_fields(accumsnow_total_water.1h:fchour=-23)
snow.1h.max24index=index_of_fields_max(accumsnow_total_water.1h:fchour=-23)

graupelfall_amount.3h=sum_of_fields(graupelfall_amount:fchour=-2)

x_stokes_drift=equivalent_to(sdx)
y_stokes_drift=equivalent_to(sdy)

sea_surface_swell_wave_to_direction=equivalent_to(thq_swell)

mean_wave_direction=equivalent_to(wave_direction)
sea_surface_wind_wave_to_direction=equivalent_to(thq_sea)

</FIELD_COMPUTE>

########################################################################

<FIELD_PLOT>
field=WIND.10M.ARROW
      text = "WIND.10M"
      colour=red linetype=solid linewidth=2 density=AUTO
      vector.unit=10.
      plot=VECTOR(x_wind_10m,y_wind_10m)
end.field

field=FF.10M
      text = "Windspeed in m/s"
      colour=red linetype=solid linewidth=1 line.interval=5.
      line.values=8.0,10.8,13.9,17.2,20.8,24.5,28.5,32.7
      plot=CONTOUR(ff10m)
end.field

field=FF.10M.KNOTS
      text = "Windspeed in beaufort/kt"
      line.values=15.5,20.9,27.0,33.4,40.4,47.6,55.4,63.5
      plot=CONTOUR(ff10mknots)
end.field

field=FF.10M.MPH
      text = "Windspeed in mph"
      colour=blue linetype=solid linewidth=1 line.interval=5.
      line.values=7.6,12.3,17.9,24.2,31.1,38.5,46.5,54.8,63.8,73.2
      plot=CONTOUR(ff10mmph)
end.field

field=T.2M
      text = "2m Temperature"
      colour=red line.interval=2. units=celsius
      plot=CONTOUR(air_temperature_2m)
end.field

loop [HR]=1,3,6,12,24,36
loop [LINE] = "0.1,0.2,0.5,1,2,4,6,10,15,...40","0.2,0.5,1,2,4,6,10,15,...80",\
"0.5,1,2,4,6,10,15,...100","1,2,4,6,10,15,...200",\
"0.5,1,2,4,6,10,15,...300","0.5,1,2,4,6,10,15,...70,80,...400"

field=PRECIP.[HR]T
      colour=red linetype=solid linewidth=1 line.values=[LINE]
      plot=CONTOUR(accumprecip.[HR]h)
end.field

field=THUNDER-EXP-INDEX
      colour=blue linetype=solid linewidth=1 line.interval=10.
      line.values=-300,-290,-280,-270,...-50
      plot=CONTOUR(thunder_experiment.index)
end.field

field=WIND.GUST
      text = "Windgust 10m m/s"
      colour=blue linetype=solid linewidth=1 line.interval=5.
      line.values=8.0,10.8,13.9,17.2,20.8,24.5,28.5,32.7
      plot=CONTOUR(wind_speed_of_gust)
end.field

field=WIND.GUST.KNOTS
      text = "Windgust i beaufort/kt"
      line.values=15.5,20.9,27.0,33.4,40.4,47.6,55.4,63.5 units=knots
      plot=CONTOUR(wind_speed_of_gust)
end.field

########## Probability, index, max, min, etc

loop [TA]="8","4","2"
field=Probability_T850_Anomaly<-[TA]
      fieldgroup="EPS probability"
      colour=red line.interval=20.
      plot=CONTOUR(prob_t850_anomaly_lt_-[TA])
end.field

loop [TA]="2","4","8"
field=Probability_T850_Anomaly>+[TA]
      fieldgroup="EPS probability"
      colour=red line.interval=20.
      plot=CONTOUR(prob_t850_anomaly_gt_+[TA])
end.field

field=Wind.gust.10m.index
      fieldgroup="Extreme Forecast Index"
      colour=red line.interval=1.
      plot=CONTOUR(wind.gust.10m.index)
end.field

field=Wind.speed.10m.index
      fieldgroup="Extreme Forecast Index"
      colour=red line.interval=1.
      plot=CONTOUR(wind.speed.10m.index)
end.field

field=Temperature.2m.index
      fieldgroup="Extreme Forecast Index"
      colour=red line.interval=1.
      plot=CONTOUR(temperature.2m.index)
end.field

field=Total.precipitation.index
      fieldgroup="Extreme Forecast Index"
      colour=red line.interval=1.
      plot=CONTOUR(total.precipitation.index)
end.field

loop [KT]=25,30,35,40,45,50,55,60
field=Probability_Wind>[KT]kt
      fieldgroup="EPS probability"
      colour=red line.interval=10.
      plot=CONTOUR(prob_wind>[KT]kt)
end.field


loop [MS]=5,10,14,15,17,20,21,24,25,28,30,33,35,40
field=Probability_Wind>[MS]m/s
      fieldgroup="EPS probability"
      colour=red line.interval=10.
      plot=CONTOUR(prob_wind>[MS]ms)
end.field

loop [MS]=14,15,17,20,21,24,25,28,30,33,35,40
field=Probability_Wind_Gust>[MS]m/s
      fieldgroup="EPS probability"
      colour=red line.interval=10
      plot=CONTOUR(prob_wind_gust>[MS]ms)
end.field

loop [MS]=14,15,17,20,21,24,25,28,30,33,35,40
field=Probability_Wind_Gust_6h>[MS]m/s
      fieldgroup="EPS probability"
      colour=red line.interval=10
      plot=CONTOUR(prob_wind_gust_6h>[MS]ms)
end.field

loop [TA]="-10","-5","0"
field=Probability_T2M<[TA]C
      fieldgroup="EPS probability"
      colour=red line.interval=10 units=0.01
      plot=CONTOUR(prob_t2m<[TA])
end.field

loop [TA]="+5","+10","+15","+20","+25","+30","+35","+40","+45"
field=Probability_T2M>[TA]
      fieldgroup="EPS probability"
      colour=red line.interval=10 units=0.01
      plot=CONTOUR(prob_t2m>[TA])
end.field

loop [TA]=35,37.5,40,41,42,43,44,45,47.5,50
field=Probability_TS-T500>[TA]
      fieldgroup="EPS probability"
      colour=red line.interval=10. units=0.01
      plot=CONTOUR(prob_TS-T500>[TA])
end.field

loop [MM]=0.1,0.5,1.0,2.5,5.0,7.5,10,15,20,25,30,40,50,100
field=Probability_Precip>[MM]mm/6h
      fieldgroup="EPS probability"
	colour=red line.interval=10.
	plot=CONTOUR(prob_accumprecip.6h>[MM]mm)
end.field

loop [MM]=0.1,0.5,1.0,2.5,5.0,10,20,30,40,50,100,150
field=Probability_Precip>[MM]mm/12h
      fieldgroup="EPS probability"
	colour=red line.interval=10.
	plot=CONTOUR(prob_accumprecip.12h>[MM]mm)
end.field

loop [MM]=0.1,0.5,1.0,2.5,5.0,10,20,30,38,40,50,77,100,150,200
field=Probability_Precip>[MM]mm/24h
      fieldgroup="EPS probability"
	colour=red line.interval=10.
	plot=CONTOUR(prob_accumprecip.24h>[MM]mm)
end.field

########## EPS avg/stddev

field=MSLP_mean
      colour=blue linetype=solid linewidt=1 line.interval=5 units=hectopascal
      plot=CONTOUR(air_pressure_at_sea_level_mean)
end.field

field=MSLP_stddev
      colour=black linetype=solid linewidt=1 line.interval=1 units=hectopascal
      plot=CONTOUR(air_pressure_at_sea_level_stddev)
end.field

field=T.2M_mean
      #"Temperature"
      colour=red linetype=solid linewidth=1 line.interval=3. units=celsius
      plot=CONTOUR(air_temperature_2m_mean)
end.field

field=T.2M_stddev
      #"Temperature"
      colour=black linetype=solid linewidth=1 line.interval=1.
      plot=CONTOUR(air_temperature_2m_stddev)
end.field

field=WIND.10M_mean
      colour=red linetype=solid linewidth=1 density=AUTO
      vector.unit=10
      plot=WIND(x_wind_10m_mean,y_wind_10m_mean)
end.field

field=WIND.10M_stddev
      colour=red linetype=solid linewidth=1 density=AUTO
      vector.unit=10
      plot=WIND(x_wind_10m_stddev,y_wind_10m_stddev)
end.field

field=WIND.GUST_mean
      text = "Wind Gust 10m m/s"
      colour=blue linetype=solid linewidth=1 line.interval=5.
      plot=CONTOUR(wind_speed_of_gust_mean)
end.field

field=WIND.GUST_stddev
      text = "Wind Gust 10m m/s"
      colour=black linetype=solid linewidth=1 line.interval=1.
      plot=CONTOUR(wind_speed_of_gust_stddev)
end.field

field=U10M_mean
      colour=red linetype=solid linewidth=1 line.interval=2.5
      zero.line=1
      plot=CONTOUR(x_wind_10m_mean)
end.field

field=U10M_stddev
      colour=red linetype=solid linewidth=1 line.interval=2.5
      zero.line=1
      plot=CONTOUR(x_wind_10m_stddev)
end.field

field=V10M_mean
      colour=red linetype=solid linewidth=1 line.interval=2.5
      zero.line=1
      plot=CONTOUR(y_wind_10m_mean)
end.field

field=V10M_stddev
      colour=red linetype=solid linewidth=1 line.interval=2.5
      zero.line=1
      plot=CONTOUR(y_wind_10m_stddev)
end.field

field=FF_10m_mean
  colour=blue linetype=solid linewidth=1 line.interval=2.5
  plot=CONTOUR(ff10m_mean)
end.field

field=FF_10m_stddev
  colour=blue linetype=solid linewidth=1 line.interval=0.5
  plot=CONTOUR(ff10m_std)
end.field

field=precip.6h_mean
      text = "Precipitation mm/6h"
      colour=red linetype=solid linewidth=1 line.values=0.5,1,2,4,6,10,15,...100
      plot=CONTOUR(precipitation_amount_acc_6h_mean)
end.field

field=precip.6h_stddev
    text = "Precipitation mm/6h"
    colour=black linetype=solid linewidth=1 line.interval=10.
    plot=CONTOUR(precipitation_amount_acc_6h_stddev)
end.field

field=precip.6h_stddevrel
    text = "Precipitation standarddeviation/mean mm/6h"
    colour=black linetype=solid linewidth=1 line.interval=0.1
    plot=CONTOUR(precipitation_amount_acc_6h_stddevrel)
end.field

field=precipitation_amount_acc_mean
    colour=red palettecolours=standard
    line.values=1,5,10,20,...50,60,70,80,90,100,120,...300
    plot=CONTOUR(precipitation_amount_acc_mean)
end.field

field=precipitation_amount_acc_variance
    colour=lightblue line.interval=200 label.size=1.2  palettecolours=lightred zero.line=0
    plot=CONTOUR(precipitation_amount_acc_variance)
end.field

field=Z_mean
      colour=blue linetype=solid linewidt|h=1 line.interval=40
      plot=CONTOUR(geopotential_height_pl_mean)
end.field

field=Z_stddev
      colour=black linetype=solid linewidth=1 line.interval=1
      plot=CONTOUR(geopotential_height_pl_stddev)
end.field

field=Z_representative
      colour=red linetype=solid linewidth=1 line.interval=3.
      plot=CONTOUR(geopotential_height_pl_representative)
end.field


field=T_mean
      #"Temperature"
      colour=red linetype=solid linewidth=1 line.interval=3. units=celsius
      plot=CONTOUR(air_temperature_pl_mean)
end.field

field=T_stddev
      #"Temperature"
      colour=black linetype=solid linewidth=1 line.interval=1.
      plot=CONTOUR(air_temperature_pl_stddev)
end.field

field=T_representative
      #"Temperature"
      colour=red linetype=solid linewidth=1 line.interval=3.
      plot=CONTOUR(air_temperature_pl_representative)
end.field

field=DZ(500-1000)_mean
      colour=red linetype=solid linewidth=1 line.interval=40.
      plot=CONTOUR(dz.500-1000_mean)
end.field

field=DZ(500-1000)_stddev
      colour=red linetype=solid linewidth=1 line.interval=40.
      plot=CONTOUR(dz.500-1000_stddev)
end.field

########## precipitation probabilities

field=precip.1h.min-pp
      colour=red line.values=0.1,0.2,0.5,1,2,4,6,10,15,...40
      plot=CONTOUR(precipitation_amount_low_estimate)
end.field

field=precip.1h.max-pp
      colour=red  line.values=0.1,0.2,0.5,1,2,4,6,10,15,...40
      plot=CONTOUR(precipitation_amount_high_estimate)
end.field

field=precip.1h.median-pp
      colour=red  line.values=0.1,0.2,0.5,1,2,4,6,10,15,...40
      plot=CONTOUR(precipitation_amount_middle_estimate)
end.field

loop [HR]=3,6,12,24
loop [LINE] = "0.2,0.5,1,2,4,6,10,15,...80",\
"0.5,1,2,4,6,10,15,...100","1,2,4,6,10,15,...200",\
"0.5,1,2,4,6,10,15,...300"

field=precip.[HR]h.median--pp
      colour=red  line.values=0.1,0.2,0.5,1,2,4,6,10,15,...40
      plot=CONTOUR(precip.[HR]h.median)
end.field

loop [HR]=1,3,6,12,24,36
loop [LINE] = "0.1,0.2,0.5,1,2,4,6,10,15,...40","0.2,0.5,1,2,4,6,10,15,...80",\
"0.5,1,2,4,6,10,15,...100","1,2,4,6,10,15,...200",\
"0.5,1,2,4,6,10,15,...300","0.5,1,2,4,6,10,15,...70,80,...400"

field=precip.[HR]h.min
     colour=red  linetype=solid linewidth=1 field.smooth=1 line.values=[LINE]
      plot=CONTOUR(precipitation_percentile_[HR]h_20)
end.field

loop [HR]=1,3,6,12,24,36
loop [LINE] = "0.1,0.2,0.5,1,2,4,6,10,15,...40","0.2,0.5,1,2,4,6,10,15,...80",\
"0.5,1,2,4,6,10,15,...100","1,2,4,6,10,15,...200",\
"0.5,1,2,4,6,10,15,...300","0.5,1,2,4,6,10,15,...70,80,...400"

field=precip.[HR]h.median
     colour=red  linetype=solid linewidth=1 field.smooth=1 line.values=[LINE]
      plot=CONTOUR(precipitation_percentile_[HR]h_50)
end.field

loop [HR]=1,3,6,12,24,36
loop [LINE] = "0.1,0.2,0.5,1,2,4,6,10,15,...40","0.2,0.5,1,2,4,6,10,15,...80",\
"0.5,1,2,4,6,10,15,...100","1,2,4,6,10,15,...200",\
"0.5,1,2,4,6,10,15,...300","0.5,1,2,4,6,10,15,...70,80,...400"

field=precip.[HR]h.max
     colour=red  linetype=solid linewidth=1 field.smooth=1 line.values=[LINE]
      plot=CONTOUR(precipitation_percentile_[HR]h_80)
end.field

field=FF
      text = "Windspeed in m/s"
      colour=red linetype=solid linewidth=1 line.interval=5.
      line.values=8.0,10.8,13.9,17.2,20.8,24.5,28.5,32.7
      plot=CONTOUR(ff_pl)
end.field

field=FF.KNOTS
      text = "Windspeed in beaufort/kt"
      line.values=15.5,20.9,27.0,33.4,40.4,47.6,55.4,63.5
      plot=CONTOUR(ffknots_pl)
end.field

field=Horisontal_windshear_pr100km
    line.interval=5
    plot=CONTOUR(absvindsh)
    color=blue
end.field

</FIELD_PLOT>

########################################################################

<VERTICAL_PROFILE_COMPUTATIONS>
# for gfs_0p5
vp_omega_pas=multiply(omega_pl,const:0.01)

# for gfs_0p25
vp_omega_pas=identity(omega_pl)

# for ec_atmos
tdk=tdk_from_tk_q(air_temperature_pl,specific_humidity_pl)
vp_dew_point_temperature_celsius=convert_unit(tdk,celsius)

# for WRF: next line is a hack to convert from velocity in m/s to velocity in hPa/s
vp_omega_pas=multiply(upward_air_velocity_pl,const:-0.01)
</VERTICAL_PROFILE_COMPUTATIONS>

%include  {{ diana_setup_dir }}/devcoop-gshhg.setup
%include {{ diana_setup_dir }}/devcoop-webmap.setup

<EXPORT_COMMANDS>
SAVETO title=Email \
  size=DIANA \
  size="1280x720 (HD)" \
  size="4:3 (TV)" \
  size="16:9 (wide TV)" \
  size=ANY \
  tooltip="Compose email with attached product" \
  command=/usr/share/diana/{{ diana_version }}/diana_compose_email_bg
</EXPORT_COMMANDS>
